#!/bin/sh
#
# $FreeBSD: ports/security/clamav/files/clamav-clamd.sh,v 1.3 2004/04/19 15:21:33 eik Exp $
#

# PROVIDE: clamd
# REQUIRE: LOGIN
# BEFORE: mail
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf to enable clamd:
#
#clamav_clamd_enable="YES"
#
# See clamd(8) for flags
#

. /usr/local/etc/rc.subr

name=clamav_clamd
rcvar=`set_rcvar`

command=/usr/local/sbin/clamd
pidfile=/var/run/clamav/clamd.pid
required_dirs=/usr/local/share/clamav
required_files=/usr/local/etc/clamav.conf

stop_postcmd=stop_postcmd

stop_postcmd()
{
  rm -f $pidfile
}

# set defaults

clamav_clamd_enable=${clamav_clamd_enable:-"NO"}
clamav_clamd_flags=${clamav_clamd_flags:-""}
clamav_clamd_socket=${clamav_clamd_socket:-"/var/run/clamav/clamd"}

load_rc_config $name
run_rc_command "$1"
